<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * CameraType
 *
 * @ORM\Table(name="camera_type", schema="camera")
 * @ORM\Entity
 */
class CameraType
{
	/**
	 * @var integer
	 *
	 * @ORM\Column(name="id", type="integer", nullable=false)
	 * @ORM\Id
	 * @ORM\GeneratedValue(strategy="IDENTITY")
	 * @ORM\SequenceGenerator(sequenceName="camera.camera_type_id_seq", allocationSize=1, initialValue=1)
	 */
	private $id;

	/**
	 * @var string
	 *
	 * @ORM\Column(name="type", type="string", length=255, nullable=false)
	 */
	private $type;

	/**
	 * @var string
	 *
	 * @ORM\Column(name="description", type="text", nullable=true)
	 */
	private $description;


	/**
	 * Value for serialization
	 *
	 * @return string
	 */
	public function __toString(): string
	{
		return $this->type;
	}


	/**
	 * Get id
	 *
	 * @return integer
	 */
	public function getId(): int
	{
		return $this->id;
	}

	/**
	 * Set type
	 *
	 * @param string $type
	 *
	 * @return CameraType
	 */
	public function setType(string $type): self
	{
		$this->type = $type;

		return $this;
	}

	/**
	 * Set description
	 *
	 * @param string $description
	 *
	 * @return CameraType
	 */
	public function setDescription(string $description): self
	{
		$this->description = $description;

		return $this;
	}

	/**
	 * Get type
	 *
	 * @return string
	 */
	public function getType(): string
	{
		return $this->type;
	}

	/**
	 * Get description
	 *
	 * @return string
	 */
	public function getDescription(): ?string
	{
		return $this->description;
	}
}
