<?php

namespace App\Form;

use Symfony\Component\Form\{AbstractType, FormBuilderInterface};
use Symfony\Component\OptionsResolver\Exception\AccessException;
use Symfony\Component\OptionsResolver\OptionsResolver;

use App\Entity\Flash;

class FlashType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder->add('brand')
        	->add('model')
        	->add('isAutoFlash')
        	->add('isTtl')
        	->add('ttlType')
        	->add('isPTtl')
        	->add('pTtlType')
        	->add('guideNumber')
        	->add('purchasePrice')
        	->add('batteries')
        	->add('notes')
        	->add('serial')
        	->add('received')
        	->add('formerlyOwned');
    }

    /**
     * {@inheritdoc}
	 * @throws AccessException
     */
    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults(array(
            'data_class' => Flash::class
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix(): string
    {
        return 'camerabundle_flash';
    }
}
