<?php

namespace App\Form;

use Symfony\Component\Form\{AbstractType, FormBuilderInterface};
use Symfony\Component\OptionsResolver\Exception\AccessException;
use Symfony\Component\OptionsResolver\OptionsResolver;

use App\Entity\PreviouslyOwnedLenses;

class PreviouslyOwnedLensesType extends AbstractType
{
	/**
	 * {@inheritdoc}
	 */
	public function buildForm(FormBuilderInterface $builder, array $options): void
	{
		$builder->add('brand')
			->add('coatings')
			->add('productLine')
			->add('model')
			->add('minFStop')
			->add('maxFStop')
			->add('minFocalLength')
			->add('maxFocalLength')
			->add('serial')
			->add('purchasePrice')
			->add('notes')
			->add('mount')
			->add('imageSize')
			->add('received')
			->add('formerlyOwned')
			->add('frontFilterSize')
			->add('rearFilterSize')
			->add('isTeleconverter')
			->add('designElements')
			->add('designGroups')
			->add('apertureBlades');
	}

	/**
	 * {@inheritdoc}
	 * @throws AccessException
	 */
	public function configureOptions(OptionsResolver $resolver): void
	{
		$resolver->setDefaults(array(
			'data_class' => PreviouslyOwnedLenses::class
		));
	}

	/**
	 * {@inheritdoc}
	 */
	public function getBlockPrefix(): string
	{
		return 'camerabundle_previouslyownedlenses';
	}
}
